{

=pod

=head1 NAME 

Blogger::Engine::Movabletype

=head1 SUMMMARY 

...

=head1 DESCRIPTION

This package inherits I<Blogger::Engine::Base> and implements methods specific to a MovableType XML-RPC server.

=cut

package Blogger::Engine::Movabletype;
use strict;

$Blogger::Engine::Movabletype::VERSION   = 0.1;
@Blogger::Engine::Movabletype::ISA       = qw ( Exporter Blogger::Engine::Base );
@Blogger::Engine::Movabletype::EXPORT    = qw ();
@Blogger::Engine::Movabletype::EXPORT_OK = qw ();

use Exporter;
use Blogger::Engine::Base;

=pod

=head1 Blogger API METHODS

=cut

=pod

=head2 $pkg->getRecentPosts(%args)

=cut

sub getRecentPosts {
    my $self = shift;
    my %args = @_;

    my $num   = (defined $args{'numposts'}) ? $args{'numposts'} : 1;
    my $posts = [];

    unless ($num =~ /^(-)*(\d+)$/) {
	$self->LastError("Argument $args{'numposts'} isn't numeric.");
        return 0;
    }

    if ($num > -1) { $num = 0; }

    return $self->SUPER::getRecentPosts(%args);
}

=pod

=head1 VERSION

0.1

=head1 DATE

$Date: 2002/01/29 15:13:16 $

=head1 AUTHOR

Aaron Straup Cope

=head1 SEE ALSO

http://aaronland.net/weblog/archive/3719

=head1 CHANGES

=head2 0.1

=over 4

=item 

Initial revision

=back

=head1 LICENSE

Copyright (c) 2001-2002 Aaron Straup Cope.

This is free software, you may use it and distribute it under the same terms as Perl itself.

=cut

return 1;

}
